No, the SSK requires any version above Express.

Both the SSK and VS2005 are both freely available for D/L.

Visual Studio is available here
The SSK is available here for C# and here for VB